Subject: Re: [PATCH v4 2/2] macvtap: Implement multiqueue for macvtap driver

From: Arnd Bergmann <[email-masked]>
Date: Wed, 4 Aug 2010 16:54:45 +0200

On Wednesday 04 August 2010, Krishna Kumar2 wrote:
> 1. Use % to find the slot.
> 2. If slot is null - I don't want to handle this since I think
>    it is better to return NULL if some fd's were closed by user.
>    Typically this should never happen since fd's are opened and
>    passed to vhost for setting up the backend. So if they are
>    closed, then I think NULL is OK.
> 

Having some of the file descriptors closed is not something that
we should optimize for, but then again it makes sense to still
keep going, mostly for consistency reasons: One day we may
have a use case for a dynamically growing and shrinking set of
queues. Falling back to the first queue is probably ok, we can
always add optimizations when this becomes a real use case.

	Arnd